$ErrorActionPreference = 'Stop';

$packageName = 'PowerBI'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop.msi'
$url64      = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop_x64.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'PowerBI*'

  checksum      = '70b1015a34681ba30babf3f485a1ef7564ad66219709cc9d0b96c37d10a548c0'
  checksumType  = 'sha256'
  checksum64    = '937f3e3915ca99ad931f885302f4676865e896800f41a6fd2f0bdea8ca85aabf'
  checksumType64= 'sha256'

  silentArgs    = "/qb ACCEPT_EULA=1 /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
